Get the PID of the backend process handling this connection

- « Pdo\Pgsql::getNotify

- Pdo\Pgsql::lobCreate »

- PHP Manual
- Pdo\pgsql
- Get the PID of the backend process handling this connection

# Pdo\Pgsql::getPid

(PHP 8 >= 8.4.0)

Pdo\Pgsql::getPid — Get the PID of the backend process handling this connection

### Description

public Pdo\Pgsql::getPid(): int

Returns the PID of the backend process handling this connection. Note that the PID belongs to a process executing on the database server host, not the local host.

### Parameters

This function has no parameters.

### Return Values

Returns the PID as an int.